Skip to content
Myra Online Help Updated · 21 Aug 2026

Adding users to the organisation

Note

The attributes userId and userFullName are required for Myra deployments.

Sends a POST request to the endpoint /organisations/{organisation}/users/add.

Description

The Add-Organisation-User request adds users to a specified organisation.

Requirements

Values of the request: Organisation ID {organisation}

Objects: UserVO

Request

To add users to the organisation, add the Organisation ID {organisation} to the path of the request.

For a detailed specification of which information is required to add users, an object UserVO with the following attributes must be defined in the body:

Attributes Description Values
userEmail The email address of the user. string
userRole The role of the users.
  • admin
  • editor

The following attributes are optional:

Attributes Description Values
userId (required for Myra deployments) The MyraCloud ID of the users. integer
userFullName (required for Myra deployments) The full name of the user. string

As a result, the system returns the object message, confirming that the users have been added.

The object provides the following information:

Attributes Description Values
message The confirmation message of the request. string

Example

Example request body:

{
  "userEmail": "string",
  "userRole": "string",
  "userId": 0,
  "userFullName": "string"
}

Responses

The following responses are available:

STATUS CODE DESCRIPTION
200 The request has succeeded.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.
422 The request was unsuccessful because the submitted data could not be processed.